<?php
$uid1="$row_cur_uid[uid]";
$saaid_alt = "$row_alt[saaid]";
$saaid = "$row_akt[saaid]";
########Kontaktdaten HS #####################
$db = dbconnect();
$res_ansp = $db->query("SELECT wert1 name, wert2 mail FROM parameter WHERE pid='6'");
$row_ansp = $res_ansp->fetch_array();

$res_kontakt = $db->query("SELECT wert1 tel, wert2 fax FROM parameter WHERE pid='5'");
$row_kontakt = $res_kontakt->fetch_array();

$res_stud = $db->query("SELECT nachname, vorname, geschlecht, postrasse, poplz, poort, ag, jahrgang FROM stud WHERE uid='$uid1'");
$row_stud = $res_stud->fetch_array();
if($row_stud['geschlecht'] == 'M'){
 $anredeform = "geehrter";
 $anrede = "Herr";
 $artikel = "seinem";
}else{
 $anredeform = "geehrte";
 $anrede = "Frau";
 $artikel = "ihrem";
}

$res_dst = $db->query("SELECT dst_id FROM stan_antrag WHERE saaid='$saaid_alt'");
$row_dst = $res_dst->fetch_array();


$result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_dst[dst_id]'");
$rowdata2 = $result_data2->fetch_array();

 if($rowdata2[0] == '1'){
   $result_data3 = $db->query("SELECT bez
                                     , str
                                     , plz
                                     , postfach
                                     , plz_postfach
                                     , ort
                                     , bundesland
                                     , staat
                                  FROM stan_dienststellen
                                 WHERE dst_id='$row_dst[dst_id]'");
    $rowdata3 = $result_data3->fetch_array();
    
 }else{

    $result_data3 = $db->query("SELECT bez
                                      , str
                                      , plz
                                      , postfach
                                      , plz_postfach
                                      , ort
                                      , bundesland
                                      , staat
                                   FROM stan_dienststellen_tmp
                                  WHERE dst_id='$row_dst[dst_id]'");
     $rowdata3 = $result_data3->fetch_array();
  }

if(!isset($hist)){
 $heute_format = date("d.m.Y", mktime(0, 0, 0, date("m"), date("d"), date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich
}else{
 $res_dat = $db->query("SELECT min(date_format(datum, '%d.%m.%Y')) datum FROM stan_printqueue_hist WHERE zuweisung='EZS' AND admin='$user_admin'");
 $row_dat = $res_dat->fetch_array();
 
 $heute_format = $row_dat[datum];
}

#$pdf->Image('anschreiben/logo.png', 116, 10,64); #https://www.fpdf.de/funktionsreferenz/?funktion=Image

$pdf->SetFont('Arial', '', 11);
$pdf->SetY(59.5);
$pdf->SetX(24);
#$pdf->Cell(0, 3, "$rowdata3[bez]", 0, 0, 'L');
$pdf->MultiCell(70, 4.8, "$rowdata3[bez]", 0, 'L');

$pos = $pdf->GetY()+4;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[str]", 0, 0, 'L');

$pos = $pdf->GetY()+4;
/*
$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$row_stud[postrasse]", 0, 0, 'L');
*/

$pos = $pdf->GetY()+4;
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->Cell(0, 3, "$rowdata3[plz] $rowdata3[ort]", 0, 0, 'L');

$pdf->SetFont('Arial', '', 8);
$pdf->SetY(60);
#$pdf->SetX(143.1);
$pdf->SetX(147.3);
$pdf->MultiCell(47, 3, "$heute_format", 0, 'L');

$pos=$pdf->GetY()+0.5;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(147.3);
$pdf->MultiCell(47, 3, "$row_ansp[name]", 0, 'L');

$pos=$pdf->GetY()+0.5;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(147.3);
$pdf->MultiCell(47, 3, "$row_kontakt[tel]", 0, 'L');

$pos=$pdf->GetY()+0.5;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(147.3);
$pdf->MultiCell(47, 3, "$row_ansp[mail]", 0, 'L');

########Kontaktdaten HS Ende #####################

######## Betreff #################################

$pdf->SetFont('Arial', 'B', 11);
$pdf->SetY(96.2);
$pdf->SetX(24);
$pdf->MultiCell(150, 4.8, "Änderung der Zuweisung in der praktischen Ausbildung von $row_stud[vorname] $row_stud[nachname]", 0, 'L');


######## Betreff Ende ############################


$pos=$pdf->GetY()+14.3;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(150, 3, "Sehr geehrte Damen und Herren,", 0, 'L');


$pos=$pdf->GetY()+6.0;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 5.8, "die Zuweisung von $anrede $row_stud[vorname] $row_stud[nachname] hat sich gemäß $artikel Änderungsantrag wie folgt geändert:", 0, 'J');



$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', 'U', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 7.4, "Bisherige Zuweisung", 0, 'J');






$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+1.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 29.4;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";
	
	
	$header_type[1]['WIDTH'] = 59.9;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	
	$header_type[2]['WIDTH'] = 35;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";
	
	$header_type[3]['WIDTH'] = 44;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";
	
#	$header_type[4]['WIDTH'] = 25.7;
#	$header_type[4]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
#	$header_type[4]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
#	$header_type[4]['TEXT'] = "AG-Standort";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        if(!isset($hist)){
        $query = "SELECT a.saaid, b.aendid
                    FROM stan_printqueue_antrag a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AEP'
                     AND druckstatus = 'N'
                     AND b.uid='$uid1'
                     AND a.saaid='$saaid' 
                   ORDER BY b.beginn"; //Nur diesen Datensatz vom aktuellen ausgehend, daher aktuelle saaid
        }else{
        $query = "SELECT a.saaid, b.aendid
                    FROM stan_printqueue_hist a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AEP'
                     AND druckstatus = 'N'
                     AND b.uid='$uid1'
                     AND a.saaid='$saaid' 
                   ORDER BY b.beginn"; //Nur diesen Datensatz vom aktuellen ausgehend, daher aktuelle saaid
        }
        $result = $db->query ($query)
           or die ("Cannot execute query1a");
           

 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		#Daten aus altem datensatz 
                $res_alt_aend = $db->query("SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(ende, '%d.%m.%Y') ende, dst_id, abteilung, e.bezeichnung
                                               FROM stan_antrag a, stan_vertiefungsbereich e
                                              WHERE a.vert_bereich=e.vbid
                                                AND a.saaid<'$row[saaid]'
                                                AND a.aendid='$row[aendid]'
                                              ORDER BY a.saaid DESC
                                              LIMIT 1");
                $row_alt_aend = $res_alt_aend->fetch_array();
                
                $result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_alt_aend[dst_id]'");
                $rowdata2 = $result_data2->fetch_array();

                if($rowdata2[0] == '1'){
                  $result_data3 = $db->query("SELECT bez
                                                    , str
                                                    , plz
                                                    , postfach
                                                    , plz_postfach
                                                    , ort
                                                    , bundesland
                                                    , staat
                                                 FROM stan_dienststellen
                                                WHERE dst_id='$row_alt_aend[dst_id]'");
                   $rowdata3 = $result_data3->fetch_array();
                   
                }else{

                   $result_data3 = $db->query("SELECT bez
                                                     , str
                                                     , plz
                                                     , postfach
                                                     , plz_postfach
                                                     , ort
                                                     , bundesland
                                                     , staat
                                                  FROM stan_dienststellen_tmp
                                                 WHERE dst_id='$row_alt_aend[dst_id]'");
                    $rowdata3 = $result_data3->fetch_array();
                 }


/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = "$row_alt_aend[beginn] -\n$row_alt_aend[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$rowdata3[bez]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row_alt_aend[abteilung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$data[3]['TEXT'] = "$row_alt_aend[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			
			$data[4]['TEXT'] = "$row_alt_aend[standort]";
			$data[4]['T_ALIGN'] = "L";
			$data[4]['V_ALIGN'] = "M";

		$pdf->Draw_Data($data,NULL,6); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();


$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', 'U', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 7.4, "Geänderte Zuweisung:", 0, 'J');





$db = dbconnect();


$columns = 4; //five columns


$pos=$pdf->GetY()+1.0;


$pdf->SetY($pos);

	//we initialize the table class
	$pdf->Table_Init($columns, true, true);

	$table_subtype = $table_default_table_type;
	$pdf->Set_Table_Type($table_subtype);
	
	//TABLE HEADER SETTINGS
	$header_subtype = $table_default_header_type;
	
	
	for($i=0; $i<$columns; $i++) $header_type[$i] = $table_default_header_type;

	$header_type[0]['WIDTH'] = 29.4;
	$header_type[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[0]['TEXT'] = "Zeitraum";
	
	
	$header_type[1]['WIDTH'] = 59.9;
	$header_type[1]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[1]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[1]['TEXT'] = "Ausbildungsstelle";
	
	$header_type[2]['WIDTH'] = 35;
	$header_type[2]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[2]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[2]['TEXT'] = "Abteilung";
	
	$header_type[3]['WIDTH'] = 44;
	$header_type[3]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
	$header_type[3]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
	$header_type[3]['TEXT'] = "Vertiefungsbereich";
	
#	$header_type[4]['WIDTH'] = 25.7;
#	$header_type[4]['T_ALIGN'] = "C"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
#	$header_type[4]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
#	$header_type[4]['TEXT'] = "AG-Standort";
	
	#$header_type[1]['COLSPAN'] = "2";

	//set the header type
	$pdf->Set_Header_Type($header_type);
	
	$pdf->Draw_Header();
	
	//TABLE DATA SETTINGS
	$data_subtype = $table_default_data_type;
	
	$data_type = Array();//reset the array
	for ($i=0; $i<$columns; $i++) $data_type[$i] = $data_subtype;

	$pdf->Set_Data_Type($data_type);
	
#	$fsize = 10;
#	$colspan = 1;
#	$rr = 255;

        $db = dbconnect();
        if(!isset($hist)){
        $query = "SELECT a.saaid
                    FROM stan_printqueue_antrag a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AEP'
                     AND druckstatus = 'N'
                     AND b.uid='$uid1'
                     AND a.saaid='$saaid'
                   ORDER BY b.beginn
                   ";
        }else{
        $query = "SELECT a.saaid
                    FROM stan_printqueue_hist a, stan_antrag b
                   WHERE a.saaid = b.saaid
                     AND a.zuweisung='AEP'
                     AND druckstatus = 'N'
                     AND b.uid='$uid1'
                     AND a.saaid='$saaid'
                   ORDER BY b.beginn
                   ";
        }
        $result = $db->query ($query)
           or die ("Cannot execute query1b");
           

 
        while ($row = $result->fetch_array())
	{
		$data = Array();
		
                $res_neu_aend = $db->query("SELECT date_format(beginn, '%d.%m.%Y') beginn, date_format(ende, '%d.%m.%Y') ende, dst_id, abteilung, e.bezeichnung
                                               FROM stan_antrag a, stan_vertiefungsbereich e
                                              WHERE a.vert_bereich=e.vbid
                                                AND a.saaid ='$row[saaid]'
                                              ORDER BY a.saaid DESC
                                              LIMIT 1");
                $row_neu_aend = $res_neu_aend->fetch_array();
                
                $result_data2 = $db->query("SELECT distinct 1 FROM stan_dienststellen WHERE dst_id= '$row_neu_aend[dst_id]'");
                $rowdata2 = $result_data2->fetch_array();

                if($rowdata2[0] == '1'){
                  $result_data3 = $db->query("SELECT bez
                                                    , str
                                                    , plz
                                                    , postfach
                                                    , plz_postfach
                                                    , ort
                                                    , bundesland
                                                    , staat
                                                 FROM stan_dienststellen
                                                WHERE dst_id='$row_neu_aend[dst_id]'");
                   $rowdata3 = $result_data3->fetch_array();
                   
                }else{

                   $result_data3 = $db->query("SELECT bez
                                                     , str
                                                     , plz
                                                     , postfach
                                                     , plz_postfach
                                                     , ort
                                                     , bundesland
                                                     , staat
                                                  FROM stan_dienststellen_tmp
                                                 WHERE dst_id='$row_neu_aend[dst_id]'");
                    $rowdata3 = $result_data3->fetch_array();
                 }

/* Schriftgröße
		$data[0]['T_SIZE'] = $fsize;
		$data[1]['T_SIZE'] = $fsize+3;
		$data[3]['T_SIZE'] = $fsize+4;
*/
/* Schriftfarbe und Zellenhintergrund
		$data[0]['T_COLOR'] = array(0,0,0); //Schriftfarbe
		$data[0]['BG_COLOR'] = array($rr,$rr,$rr);
		$data[3]['T_COLOR'] = array($rr,240,240);
		$data[3]['BG_COLOR'] = array($rr,100,135);
*/
			$data[0]['TEXT'] = "$row_neu_aend[beginn] -\n$row_neu_aend[ende]";
			$data[0]['T_ALIGN'] = "L"; //C=CENTER, L=LEFT, R=RIGHT, J=JUSTIFY
			$data[0]['V_ALIGN'] = "M"; //T=TOP, M=MIDDLE, B=BOTTOM
		       #$data[0]['T_TYPE'] = "BI"; // B=BOLD, I=ITALIC
			
			$data[1]['TEXT'] = "$rowdata3[bez]";
			$data[1]['T_ALIGN'] = "L";
			$data[1]['V_ALIGN'] = "M";
			
			$data[2]['TEXT'] = "$row_neu_aend[abteilung]";
			$data[2]['T_ALIGN'] = "L";
			$data[2]['V_ALIGN'] = "M";
			
			$data[3]['TEXT'] = "$row_neu_aend[bezeichnung]";
			$data[3]['T_ALIGN'] = "L";
			$data[3]['V_ALIGN'] = "M";
			
			$data[4]['TEXT'] = "$row_neu_aend[standort]";
			$data[4]['T_ALIGN'] = "L";
			$data[4]['V_ALIGN'] = "M";

		$pdf->Draw_Data($data,NULL,6); // -->letzter Parameter Höhe der Datenspalte. Neu prgrammiert in prints/class.fpdf_table.php am 15.04.2009
	}

	$pdf->Draw_Table_Border();






$pos=$pdf->GetY()+3.2;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 5.3, "Wir bedanken uns ausdrücklich dafür, dass Sie eine Ausbildungsstelle im Rahmen der praktischen Ausbildung zur Verfügung gestellt haben und hoffen auf Ihre Bereitschaft, auch künftig an der Ausbildung im gehobenen Verwaltungsdienst mitzuwirken", 0, 'J');


$pos=$pdf->GetY()+6.0;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 4.8, "Mit freundlichen Grüßen", 0, 'J');


$pos=$pdf->GetY()+9.1;

$pdf->SetFont('Arial', '', 11);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 4.8, "gez.\n$row_ansp[name]", 0, 'J');

$pos=$pdf->GetY()+5.0;

$pdf->SetFont('Arial', '', 8);
$pdf->SetY($pos);
$pdf->SetX(24);
$pdf->MultiCell(168, 4.8, "Hinweis: Aus technischen Gründen erhalten Sie auch bei geringfügigen Änderungen ein neues Zuweisungsschreiben.", 0, 'J');

?>